Package: groovy.beans

## [Java] Class DefaultPropertyAccessor

- groovy.beans.DefaultPropertyAccessor

- All Implemented Interfaces and Traits:
    PropertyAccessor

      public class DefaultPropertyAccessor
      extends Object
      implements PropertyAccessor

  Default PropertyAccessor implementation backed by the standard Groovy property reader and writer.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static PropertyAccessor` | `INSTANCE` | Shared accessor instance.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `read(Object owner, String propertyName)` * Reads the named property from the supplied owner. * * Parameters: `owner` - the object that owns the property * `propertyName` - the property name * Returns: the property value
    `` | `public void` | `write(Object owner, String propertyName, Object value)` * Writes the named property on the supplied owner. * * Parameters: `owner` - the object that owns the property * `propertyName` - the property name * `value` - the value to assign

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final PropertyAccessor INSTANCE

      Shared accessor instance.

  - ### Method Detail

    - #### public Object read(Object owner, String propertyName)

      * Reads the named property from the supplied owner. * *

      Parameters:
        `owner` - the object that owns the property *
        `propertyName` - the property name *
      Returns:
        the property value

    - #### public void write(Object owner, String propertyName, Object value)

      * Writes the named property on the supplied owner. * *

      Parameters:
        `owner` - the object that owns the property *
        `propertyName` - the property name *
        `value` - the value to assign